Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.Mat.SORType

class petsc4py.PETSc.Mat.SORType

  Bases: `object`

  Matrix SOR type.

  See also

  `MatSORType`

  Attributes Summary

  `APPLY_LOWER` | Constant `APPLY_LOWER` of type `int`
  `APPLY_UPPER` | Constant `APPLY_UPPER` of type `int`
  `BACKWARD_SWEEP` | Constant `BACKWARD_SWEEP` of type `int`
  `EISENSTAT` | Constant `EISENSTAT` of type `int`
  `FORWARD_SWEEP` | Constant `FORWARD_SWEEP` of type `int`
  `LOCAL_BACKWARD_SWEEP` | Constant `LOCAL_BACKWARD_SWEEP` of type `int`
  `LOCAL_FORWARD_SWEEP` | Constant `LOCAL_FORWARD_SWEEP` of type `int`
  `LOCAL_SYMMETRIC_SWEEP` | Constant `LOCAL_SYMMETRIC_SWEEP` of type `int`
  `SYMMETRY_SWEEP` | Constant `SYMMETRY_SWEEP` of type `int`
  `ZERO_INITIAL_GUESS` | Constant `ZERO_INITIAL_GUESS` of type `int`

  Attributes Documentation

  APPLY_LOWER: int = APPLY_LOWER

    Constant `APPLY_LOWER` of type `int`

  APPLY_UPPER: int = APPLY_UPPER

    Constant `APPLY_UPPER` of type `int`

  BACKWARD_SWEEP: int = BACKWARD_SWEEP

    Constant `BACKWARD_SWEEP` of type `int`

  EISENSTAT: int = EISENSTAT

    Constant `EISENSTAT` of type `int`

  FORWARD_SWEEP: int = FORWARD_SWEEP

    Constant `FORWARD_SWEEP` of type `int`

  LOCAL_BACKWARD_SWEEP: int = LOCAL_BACKWARD_SWEEP

    Constant `LOCAL_BACKWARD_SWEEP` of type `int`

  LOCAL_FORWARD_SWEEP: int = LOCAL_FORWARD_SWEEP

    Constant `LOCAL_FORWARD_SWEEP` of type `int`

  LOCAL_SYMMETRIC_SWEEP: int = LOCAL_SYMMETRIC_SWEEP

    Constant `LOCAL_SYMMETRIC_SWEEP` of type `int`

  SYMMETRY_SWEEP: int = SYMMETRY_SWEEP

    Constant `SYMMETRY_SWEEP` of type `int`

  ZERO_INITIAL_GUESS: int = ZERO_INITIAL_GUESS

    Constant `ZERO_INITIAL_GUESS` of type `int`

  __init__()
  classmethod __new__(*args, **kwargs)